


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
#define phex s_phex
extern void phex( void );
int i,j,k,corr,fail;
static int div(int x,int y) {
 return x / y;
}
 fail=0;
 for (k=20; k>=-20; k--) {
if ((k / 2)!=div(k,2))  fail=1;
if ((k / 4)!=div(k,4))  fail=1;
if ((k / 8)!=div(k,8))  fail=1;
if ((k / 16)!=div(k,16))  fail=1;
if ((k / 1)!=div(k,1))  fail=1;
}
if (fail==0)  fprintf(out_file, "%s", "TEST OK"); else  fprintf(out_file, "%s", "Divide in error");
 fprintf(out_file, "%s", "\n");
exit(0);
}

/* end of automatic translation */

